
_set_up:

;main.c,7 :: 		void set_up() {
;main.c,9 :: 		ANSEL  = 0;                     // Configure AN pins as digital
	CLRF       ANSEL+0
;main.c,10 :: 		ANSELH = 0;
	CLRF       ANSELH+0
;main.c,11 :: 		TRISC7_bit=1;
	BSF        TRISC7_bit+0, BitPos(TRISC7_bit+0)
;main.c,12 :: 		TRISC6_bit=0;
	BCF        TRISC6_bit+0, BitPos(TRISC6_bit+0)
;main.c,13 :: 		TRISB=0x80;
	MOVLW      128
	MOVWF      TRISB+0
;main.c,14 :: 		RB0_bit=0;
	BCF        RB0_bit+0, BitPos(RB0_bit+0)
;main.c,15 :: 		PORTB.b1=0;
	BCF        PORTB+0, 1
;main.c,16 :: 		UART1_Init(9600);               // Initialize UART module at 9600 bps
	MOVLW      51
	MOVWF      SPBRG+0
	BSF        TXSTA+0, 2
	CALL       _UART1_Init+0
;main.c,17 :: 		Delay_ms(100);
	MOVLW      2
	MOVWF      R11+0
	MOVLW      4
	MOVWF      R12+0
	MOVLW      186
	MOVWF      R13+0
L_set_up0:
	DECFSZ     R13+0, 1
	GOTO       L_set_up0
	DECFSZ     R12+0, 1
	GOTO       L_set_up0
	DECFSZ     R11+0, 1
	GOTO       L_set_up0
	NOP
;main.c,18 :: 		}
L_end_set_up:
	RETURN
; end of _set_up

_jp:

;main.c,20 :: 		void jp() {
;main.c,21 :: 		UART1_Write(10);
	MOVLW      10
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;main.c,22 :: 		UART1_Write(13);
	MOVLW      13
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;main.c,23 :: 		}
L_end_jp:
	RETURN
; end of _jp

_alarm:

;main.c,25 :: 		void alarm() {
;main.c,26 :: 		RB0_bit=1;
	BSF        RB0_bit+0, BitPos(RB0_bit+0)
;main.c,27 :: 		delay_ms(Tone);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      138
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L_alarm1:
	DECFSZ     R13+0, 1
	GOTO       L_alarm1
	DECFSZ     R12+0, 1
	GOTO       L_alarm1
	DECFSZ     R11+0, 1
	GOTO       L_alarm1
	NOP
	NOP
;main.c,28 :: 		RB0_bit=0;
	BCF        RB0_bit+0, BitPos(RB0_bit+0)
;main.c,29 :: 		delay_ms(Tone);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      138
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L_alarm2:
	DECFSZ     R13+0, 1
	GOTO       L_alarm2
	DECFSZ     R12+0, 1
	GOTO       L_alarm2
	DECFSZ     R11+0, 1
	GOTO       L_alarm2
	NOP
	NOP
;main.c,30 :: 		}
L_end_alarm:
	RETURN
; end of _alarm

_saving:

;main.c,31 :: 		void saving() {
;main.c,33 :: 		per0=pw1/1000;
	MOVLW      232
	MOVWF      R4+0
	MOVLW      3
	MOVWF      R4+1
	MOVF       _pw1+0, 0
	MOVWF      R0+0
	MOVF       _pw1+1, 0
	MOVWF      R0+1
	CALL       _Div_16X16_U+0
	MOVF       R0+0, 0
	MOVWF      _per0+0
;main.c,34 :: 		per1=(pw1/100)%10;
	MOVLW      100
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _pw1+0, 0
	MOVWF      R0+0
	MOVF       _pw1+1, 0
	MOVWF      R0+1
	CALL       _Div_16X16_U+0
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	CALL       _Div_16X16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      _per1+0
;main.c,35 :: 		per2=(pw1/10)%10;
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _pw1+0, 0
	MOVWF      R0+0
	MOVF       _pw1+1, 0
	MOVWF      R0+1
	CALL       _Div_16X16_U+0
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	CALL       _Div_16X16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      _per2+0
;main.c,36 :: 		per3=pw1%10;
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _pw1+0, 0
	MOVWF      R0+0
	MOVF       _pw1+1, 0
	MOVWF      R0+1
	CALL       _Div_16X16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      _per3+0
;main.c,37 :: 		per4=pw2/1000;
	MOVLW      232
	MOVWF      R4+0
	MOVLW      3
	MOVWF      R4+1
	MOVF       _pw2+0, 0
	MOVWF      R0+0
	MOVF       _pw2+1, 0
	MOVWF      R0+1
	CALL       _Div_16X16_U+0
	MOVF       R0+0, 0
	MOVWF      _per4+0
;main.c,38 :: 		per5=(pw2/100)%10;
	MOVLW      100
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _pw2+0, 0
	MOVWF      R0+0
	MOVF       _pw2+1, 0
	MOVWF      R0+1
	CALL       _Div_16X16_U+0
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	CALL       _Div_16X16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      _per5+0
;main.c,39 :: 		per6=(pw2/10)%10;
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _pw2+0, 0
	MOVWF      R0+0
	MOVF       _pw2+1, 0
	MOVWF      R0+1
	CALL       _Div_16X16_U+0
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	CALL       _Div_16X16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      _per6+0
;main.c,40 :: 		per7=pw2%10;
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _pw2+0, 0
	MOVWF      R0+0
	MOVF       _pw2+1, 0
	MOVWF      R0+1
	CALL       _Div_16X16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      _per7+0
;main.c,41 :: 		if(aux<=1){
	MOVLW      128
	XORLW      1
	MOVWF      R0+0
	MOVLW      128
	XORWF      _aux+0, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_saving3
;main.c,42 :: 		jp();
	CALL       _jp+0
;main.c,43 :: 		UART1_Write('D');
	MOVLW      68
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;main.c,44 :: 		UART1_Write('O'); //I don't use write_text function because there is a bug there.
	MOVLW      79
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;main.c,45 :: 		UART1_Write('N');
	MOVLW      78
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;main.c,46 :: 		UART1_Write('E');
	MOVLW      69
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;main.c,47 :: 		jp();
	CALL       _jp+0
;main.c,48 :: 		EEPROM_Write(0x02,per0);
	MOVLW      2
	MOVWF      FARG_EEPROM_Write_Address+0
	MOVF       _per0+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;main.c,49 :: 		EEPROM_Write(0x04,per1);
	MOVLW      4
	MOVWF      FARG_EEPROM_Write_Address+0
	MOVF       _per1+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;main.c,50 :: 		EEPROM_Write(0x06,per2);
	MOVLW      6
	MOVWF      FARG_EEPROM_Write_Address+0
	MOVF       _per2+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;main.c,51 :: 		EEPROM_Write(0x08,per3);
	MOVLW      8
	MOVWF      FARG_EEPROM_Write_Address+0
	MOVF       _per3+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;main.c,52 :: 		EEPROM_Write(0x0A,per4);
	MOVLW      10
	MOVWF      FARG_EEPROM_Write_Address+0
	MOVF       _per4+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;main.c,53 :: 		EEPROM_Write(0x0B,per5);
	MOVLW      11
	MOVWF      FARG_EEPROM_Write_Address+0
	MOVF       _per5+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;main.c,54 :: 		EEPROM_Write(0x0C,per6);
	MOVLW      12
	MOVWF      FARG_EEPROM_Write_Address+0
	MOVF       _per6+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;main.c,55 :: 		EEPROM_Write(0x0D,per7);
	MOVLW      13
	MOVWF      FARG_EEPROM_Write_Address+0
	MOVF       _per7+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;main.c,56 :: 		delay_ms(1000);
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L_saving4:
	DECFSZ     R13+0, 1
	GOTO       L_saving4
	DECFSZ     R12+0, 1
	GOTO       L_saving4
	DECFSZ     R11+0, 1
	GOTO       L_saving4
	NOP
	NOP
;main.c,57 :: 		}
	GOTO       L_saving5
L_saving3:
;main.c,59 :: 		UART1_Write_Text("....!Cancelled");
	MOVLW      ?lstr1_main+0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	CALL       _UART1_Write_Text+0
;main.c,60 :: 		delay_ms(1000);
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L_saving6:
	DECFSZ     R13+0, 1
	GOTO       L_saving6
	DECFSZ     R12+0, 1
	GOTO       L_saving6
	DECFSZ     R11+0, 1
	GOTO       L_saving6
	NOP
	NOP
;main.c,61 :: 		}
L_saving5:
;main.c,62 :: 		j=2;
	MOVLW      2
	MOVWF      _j+0
;main.c,63 :: 		jp();
	CALL       _jp+0
;main.c,64 :: 		UART1_Write_Text("Return ");
	MOVLW      ?lstr2_main+0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	CALL       _UART1_Write_Text+0
;main.c,65 :: 		UART1_Write_Text("Motor Control");
	MOVLW      ?lstr3_main+0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	CALL       _UART1_Write_Text+0
;main.c,66 :: 		jp();
	CALL       _jp+0
;main.c,67 :: 		}
L_end_saving:
	RETURN
; end of _saving

_ch_password:

;main.c,69 :: 		void ch_password()  {
;main.c,70 :: 		aux=0;
	CLRF       _aux+0
;main.c,71 :: 		pw2=0;
	CLRF       _pw2+0
	CLRF       _pw2+1
;main.c,72 :: 		pw1=0;
	CLRF       _pw1+0
	CLRF       _pw1+1
;main.c,73 :: 		i=0;
	CLRF       _i+0
;main.c,74 :: 		j=1;
	MOVLW      1
	MOVWF      _j+0
;main.c,75 :: 		jp();
	CALL       _jp+0
;main.c,76 :: 		while (j==1){
L_ch_password7:
	MOVF       _j+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_ch_password8
;main.c,77 :: 		if (UART1_Data_Ready() == 1) {
	CALL       _UART1_Data_Ready+0
	MOVF       R0+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_ch_password9
;main.c,78 :: 		key2 = UART1_Read();
	CALL       _UART1_Read+0
	MOVF       R0+0, 0
	MOVWF      _key2+0
;main.c,79 :: 		UART1_Write(key2);
	MOVF       R0+0, 0
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;main.c,80 :: 		switch (key2){
	GOTO       L_ch_password10
;main.c,81 :: 		case '0': i=0;   break;
L_ch_password12:
	CLRF       _i+0
	GOTO       L_ch_password11
;main.c,82 :: 		case '1': i=1;   break;
L_ch_password13:
	MOVLW      1
	MOVWF      _i+0
	GOTO       L_ch_password11
;main.c,83 :: 		case '2': i=2;   break;
L_ch_password14:
	MOVLW      2
	MOVWF      _i+0
	GOTO       L_ch_password11
;main.c,84 :: 		case '3': i=3;   break;
L_ch_password15:
	MOVLW      3
	MOVWF      _i+0
	GOTO       L_ch_password11
;main.c,85 :: 		case '4': i=4;   break;
L_ch_password16:
	MOVLW      4
	MOVWF      _i+0
	GOTO       L_ch_password11
;main.c,86 :: 		case '5': i=5;   break;
L_ch_password17:
	MOVLW      5
	MOVWF      _i+0
	GOTO       L_ch_password11
;main.c,87 :: 		case '6': i=6;   break;
L_ch_password18:
	MOVLW      6
	MOVWF      _i+0
	GOTO       L_ch_password11
;main.c,88 :: 		case '7': i=7;   break;
L_ch_password19:
	MOVLW      7
	MOVWF      _i+0
	GOTO       L_ch_password11
;main.c,89 :: 		case '8': i=8;   break;
L_ch_password20:
	MOVLW      8
	MOVWF      _i+0
	GOTO       L_ch_password11
;main.c,90 :: 		case '9': i=9;   break;
L_ch_password21:
	MOVLW      9
	MOVWF      _i+0
	GOTO       L_ch_password11
;main.c,91 :: 		case 'X': aux=2; saving(); break;
L_ch_password22:
	MOVLW      2
	MOVWF      _aux+0
	CALL       _saving+0
	GOTO       L_ch_password11
;main.c,92 :: 		}
L_ch_password10:
	MOVF       _key2+0, 0
	XORLW      48
	BTFSC      STATUS+0, 2
	GOTO       L_ch_password12
	MOVF       _key2+0, 0
	XORLW      49
	BTFSC      STATUS+0, 2
	GOTO       L_ch_password13
	MOVF       _key2+0, 0
	XORLW      50
	BTFSC      STATUS+0, 2
	GOTO       L_ch_password14
	MOVF       _key2+0, 0
	XORLW      51
	BTFSC      STATUS+0, 2
	GOTO       L_ch_password15
	MOVF       _key2+0, 0
	XORLW      52
	BTFSC      STATUS+0, 2
	GOTO       L_ch_password16
	MOVF       _key2+0, 0
	XORLW      53
	BTFSC      STATUS+0, 2
	GOTO       L_ch_password17
	MOVF       _key2+0, 0
	XORLW      54
	BTFSC      STATUS+0, 2
	GOTO       L_ch_password18
	MOVF       _key2+0, 0
	XORLW      55
	BTFSC      STATUS+0, 2
	GOTO       L_ch_password19
	MOVF       _key2+0, 0
	XORLW      56
	BTFSC      STATUS+0, 2
	GOTO       L_ch_password20
	MOVF       _key2+0, 0
	XORLW      57
	BTFSC      STATUS+0, 2
	GOTO       L_ch_password21
	MOVF       _key2+0, 0
	XORLW      88
	BTFSC      STATUS+0, 2
	GOTO       L_ch_password22
L_ch_password11:
;main.c,93 :: 		if(aux==0)pw1=10*pw1+i;
	MOVF       _aux+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_ch_password23
	MOVLW      10
	MOVWF      R0+0
	MOVLW      0
	MOVWF      R0+1
	MOVF       _pw1+0, 0
	MOVWF      R4+0
	MOVF       _pw1+1, 0
	MOVWF      R4+1
	CALL       _Mul_16X16_U+0
	MOVF       _i+0, 0
	ADDWF      R0+0, 0
	MOVWF      _pw1+0
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      _pw1+1
	MOVLW      0
	BTFSC      _i+0, 7
	MOVLW      255
	ADDWF      _pw1+1, 1
L_ch_password23:
;main.c,94 :: 		if(pw1>9999) pw1=pw1/10, aux++;
	MOVF       _pw1+1, 0
	SUBLW      39
	BTFSS      STATUS+0, 2
	GOTO       L__ch_password65
	MOVF       _pw1+0, 0
	SUBLW      15
L__ch_password65:
	BTFSC      STATUS+0, 0
	GOTO       L_ch_password24
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _pw1+0, 0
	MOVWF      R0+0
	MOVF       _pw1+1, 0
	MOVWF      R0+1
	CALL       _Div_16X16_U+0
	MOVF       R0+0, 0
	MOVWF      _pw1+0
	MOVF       R0+1, 0
	MOVWF      _pw1+1
	INCF       _aux+0, 1
L_ch_password24:
;main.c,95 :: 		if(aux==1)pw2=10*pw2+i;
	MOVF       _aux+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_ch_password25
	MOVLW      10
	MOVWF      R0+0
	MOVLW      0
	MOVWF      R0+1
	MOVF       _pw2+0, 0
	MOVWF      R4+0
	MOVF       _pw2+1, 0
	MOVWF      R4+1
	CALL       _Mul_16X16_U+0
	MOVF       _i+0, 0
	ADDWF      R0+0, 0
	MOVWF      _pw2+0
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      _pw2+1
	MOVLW      0
	BTFSC      _i+0, 7
	MOVLW      255
	ADDWF      _pw2+1, 1
L_ch_password25:
;main.c,96 :: 		if(pw2>9999) pw2=pw2/10, saving();
	MOVF       _pw2+1, 0
	SUBLW      39
	BTFSS      STATUS+0, 2
	GOTO       L__ch_password66
	MOVF       _pw2+0, 0
	SUBLW      15
L__ch_password66:
	BTFSC      STATUS+0, 0
	GOTO       L_ch_password26
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _pw2+0, 0
	MOVWF      R0+0
	MOVF       _pw2+1, 0
	MOVWF      R0+1
	CALL       _Div_16X16_U+0
	MOVF       R0+0, 0
	MOVWF      _pw2+0
	MOVF       R0+1, 0
	MOVWF      _pw2+1
	CALL       _saving+0
L_ch_password26:
;main.c,97 :: 		}
L_ch_password9:
;main.c,98 :: 		}
	GOTO       L_ch_password7
L_ch_password8:
;main.c,99 :: 		}
L_end_ch_password:
	RETURN
; end of _ch_password

_PASSWORD:

;main.c,100 :: 		void PASSWORD() {
;main.c,101 :: 		if((cont1==var1)||(Button(&PORTB,7,10,0))){//Direct access
	MOVF       _cont1+1, 0
	XORWF      _var1+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__PASSWORD68
	MOVF       _var1+0, 0
	XORWF      _cont1+0, 0
L__PASSWORD68:
	BTFSC      STATUS+0, 2
	GOTO       L__PASSWORD59
	MOVLW      PORTB+0
	MOVWF      FARG_Button_port+0
	MOVLW      7
	MOVWF      FARG_Button_pin+0
	MOVLW      10
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__PASSWORD59
	GOTO       L_PASSWORD29
L__PASSWORD59:
;main.c,102 :: 		if((cont2==var2)||(Button(&PORTB,7,10,0))){
	MOVF       _cont2+1, 0
	XORWF      _var2+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__PASSWORD69
	MOVF       _var2+0, 0
	XORWF      _cont2+0, 0
L__PASSWORD69:
	BTFSC      STATUS+0, 2
	GOTO       L__PASSWORD58
	MOVLW      PORTB+0
	MOVWF      FARG_Button_port+0
	MOVLW      7
	MOVWF      FARG_Button_pin+0
	MOVLW      10
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__PASSWORD58
	GOTO       L_PASSWORD32
L__PASSWORD58:
;main.c,103 :: 		jp();
	CALL       _jp+0
;main.c,104 :: 		UART1_Write_Text("Authorized Access");
	MOVLW      ?lstr4_main+0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	CALL       _UART1_Write_Text+0
;main.c,105 :: 		jp();
	CALL       _jp+0
;main.c,106 :: 		UART1_Write_Text("Motor Control");
	MOVLW      ?lstr5_main+0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	CALL       _UART1_Write_Text+0
;main.c,107 :: 		jp();
	CALL       _jp+0
;main.c,108 :: 		a:
___PASSWORD_a:
;main.c,109 :: 		if (UART1_Data_Ready() == 1) {          // if data is received
	CALL       _UART1_Data_Ready+0
	MOVF       R0+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_PASSWORD33
;main.c,110 :: 		key2 = UART1_Read();
	CALL       _UART1_Read+0
	MOVF       R0+0, 0
	MOVWF      _key2+0
;main.c,111 :: 		UART1_Write(key2);
	MOVF       R0+0, 0
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;main.c,112 :: 		if(key2=='E')jp(), UART1_Write_Text("New Number"), ch_password();
	MOVF       _key2+0, 0
	XORLW      69
	BTFSS      STATUS+0, 2
	GOTO       L_PASSWORD34
	CALL       _jp+0
	MOVLW      ?lstr6_main+0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	CALL       _UART1_Write_Text+0
	CALL       _ch_password+0
L_PASSWORD34:
;main.c,113 :: 		if(key2=='F')jp(), UART1_Write_Text("MOTOR OFF"), jp(),  PORTB.b1=0;
	MOVF       _key2+0, 0
	XORLW      70
	BTFSS      STATUS+0, 2
	GOTO       L_PASSWORD35
	CALL       _jp+0
	MOVLW      ?lstr7_main+0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	CALL       _UART1_Write_Text+0
	CALL       _jp+0
	BCF        PORTB+0, 1
L_PASSWORD35:
;main.c,114 :: 		if(key2=='O')jp(), UART1_Write_Text("MOTOR ON"),  jp(),  PORTB.b1=1;
	MOVF       _key2+0, 0
	XORLW      79
	BTFSS      STATUS+0, 2
	GOTO       L_PASSWORD36
	CALL       _jp+0
	MOVLW      ?lstr8_main+0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	CALL       _UART1_Write_Text+0
	CALL       _jp+0
	BSF        PORTB+0, 1
L_PASSWORD36:
;main.c,115 :: 		}
L_PASSWORD33:
;main.c,116 :: 		goto a;
	GOTO       ___PASSWORD_a
;main.c,117 :: 		}
L_PASSWORD32:
;main.c,118 :: 		}
	GOTO       L_PASSWORD37
L_PASSWORD29:
;main.c,120 :: 		UART1_Write_Text("!Denied Access");
	MOVLW      ?lstr9_main+0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	CALL       _UART1_Write_Text+0
;main.c,121 :: 		jp();
	CALL       _jp+0
;main.c,122 :: 		b:
___PASSWORD_b:
;main.c,123 :: 		alarm();
	CALL       _alarm+0
;main.c,124 :: 		goto b;
	GOTO       ___PASSWORD_b
;main.c,125 :: 		}
L_PASSWORD37:
;main.c,126 :: 		}
L_end_PASSWORD:
	RETURN
; end of _PASSWORD

_main:

;main.c,127 :: 		void main() {
;main.c,128 :: 		set_up();
	CALL       _set_up+0
;main.c,129 :: 		var1 = 1000*EEPROM_Read(0x02)+ 100*EEPROM_Read(0x04)+ 10*EEPROM_Read(0x06)+ EEPROM_Read(0x08);
	MOVLW      2
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVLW      0
	MOVWF      R0+1
	MOVLW      232
	MOVWF      R4+0
	MOVLW      3
	MOVWF      R4+1
	CALL       _Mul_16X16_U+0
	MOVF       R0+0, 0
	MOVWF      FLOC__main+0
	MOVF       R0+1, 0
	MOVWF      FLOC__main+1
	MOVLW      4
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVLW      100
	MOVWF      R4+0
	CALL       _Mul_8X8_U+0
	MOVF       R0+0, 0
	ADDWF      FLOC__main+0, 1
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      FLOC__main+1, 1
	MOVLW      6
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVLW      10
	MOVWF      R4+0
	CALL       _Mul_8X8_U+0
	MOVF       R0+0, 0
	ADDWF      FLOC__main+0, 1
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      FLOC__main+1, 1
	MOVLW      8
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	ADDWF      FLOC__main+0, 0
	MOVWF      _var1+0
	MOVF       FLOC__main+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      _var1+1
;main.c,130 :: 		var2 = 1000*EEPROM_Read(0x0A)+ 100*EEPROM_Read(0x0B)+ 10*EEPROM_Read(0x0C)+ EEPROM_Read(0x0D);
	MOVLW      10
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVLW      0
	MOVWF      R0+1
	MOVLW      232
	MOVWF      R4+0
	MOVLW      3
	MOVWF      R4+1
	CALL       _Mul_16X16_U+0
	MOVF       R0+0, 0
	MOVWF      FLOC__main+0
	MOVF       R0+1, 0
	MOVWF      FLOC__main+1
	MOVLW      11
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVLW      100
	MOVWF      R4+0
	CALL       _Mul_8X8_U+0
	MOVF       R0+0, 0
	ADDWF      FLOC__main+0, 1
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      FLOC__main+1, 1
	MOVLW      12
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVLW      10
	MOVWF      R4+0
	CALL       _Mul_8X8_U+0
	MOVF       R0+0, 0
	ADDWF      FLOC__main+0, 1
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      FLOC__main+1, 1
	MOVLW      13
	MOVWF      FARG_EEPROM_Read_Address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	ADDWF      FLOC__main+0, 0
	MOVWF      _var2+0
	MOVF       FLOC__main+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      _var2+1
;main.c,131 :: 		jp();
	CALL       _jp+0
;main.c,132 :: 		UART1_Write_Text("Accesss Number");
	MOVLW      ?lstr10_main+0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	CALL       _UART1_Write_Text+0
;main.c,133 :: 		jp();
	CALL       _jp+0
;main.c,135 :: 		while (1) {
L_main38:
;main.c,136 :: 		if (UART1_Data_Ready() == 1) {    // if data is received
	CALL       _UART1_Data_Ready+0
	MOVF       R0+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_main40
;main.c,137 :: 		key1 = UART1_Read();
	CALL       _UART1_Read+0
	MOVF       R0+0, 0
	MOVWF      _key1+0
;main.c,138 :: 		UART1_Write(key1);
	MOVF       R0+0, 0
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;main.c,140 :: 		switch (key1){
	GOTO       L_main41
;main.c,141 :: 		case '0': i=0;   break;
L_main43:
	CLRF       _i+0
	GOTO       L_main42
;main.c,142 :: 		case '1': i=1;   break;
L_main44:
	MOVLW      1
	MOVWF      _i+0
	GOTO       L_main42
;main.c,143 :: 		case '2': i=2;   break;
L_main45:
	MOVLW      2
	MOVWF      _i+0
	GOTO       L_main42
;main.c,144 :: 		case '3': i=3;   break;
L_main46:
	MOVLW      3
	MOVWF      _i+0
	GOTO       L_main42
;main.c,145 :: 		case '4': i=4;   break;
L_main47:
	MOVLW      4
	MOVWF      _i+0
	GOTO       L_main42
;main.c,146 :: 		case '5': i=5;   break;
L_main48:
	MOVLW      5
	MOVWF      _i+0
	GOTO       L_main42
;main.c,147 :: 		case '6': i=6;   break;
L_main49:
	MOVLW      6
	MOVWF      _i+0
	GOTO       L_main42
;main.c,148 :: 		case '7': i=7;   break;
L_main50:
	MOVLW      7
	MOVWF      _i+0
	GOTO       L_main42
;main.c,149 :: 		case '8': i=8;   break;
L_main51:
	MOVLW      8
	MOVWF      _i+0
	GOTO       L_main42
;main.c,150 :: 		case '9': i=9;   break;
L_main52:
	MOVLW      9
	MOVWF      _i+0
	GOTO       L_main42
;main.c,151 :: 		case 'X': i=0; aux=0; cont1=0; cont2=0; UART1_Write_Text("....!Write Again");
L_main53:
	CLRF       _i+0
	CLRF       _aux+0
	CLRF       _cont1+0
	CLRF       _cont1+1
	CLRF       _cont2+0
	CLRF       _cont2+1
	MOVLW      ?lstr11_main+0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	CALL       _UART1_Write_Text+0
;main.c,152 :: 		jp(); break;
	CALL       _jp+0
	GOTO       L_main42
;main.c,153 :: 		}
L_main41:
	MOVF       _key1+0, 0
	XORLW      48
	BTFSC      STATUS+0, 2
	GOTO       L_main43
	MOVF       _key1+0, 0
	XORLW      49
	BTFSC      STATUS+0, 2
	GOTO       L_main44
	MOVF       _key1+0, 0
	XORLW      50
	BTFSC      STATUS+0, 2
	GOTO       L_main45
	MOVF       _key1+0, 0
	XORLW      51
	BTFSC      STATUS+0, 2
	GOTO       L_main46
	MOVF       _key1+0, 0
	XORLW      52
	BTFSC      STATUS+0, 2
	GOTO       L_main47
	MOVF       _key1+0, 0
	XORLW      53
	BTFSC      STATUS+0, 2
	GOTO       L_main48
	MOVF       _key1+0, 0
	XORLW      54
	BTFSC      STATUS+0, 2
	GOTO       L_main49
	MOVF       _key1+0, 0
	XORLW      55
	BTFSC      STATUS+0, 2
	GOTO       L_main50
	MOVF       _key1+0, 0
	XORLW      56
	BTFSC      STATUS+0, 2
	GOTO       L_main51
	MOVF       _key1+0, 0
	XORLW      57
	BTFSC      STATUS+0, 2
	GOTO       L_main52
	MOVF       _key1+0, 0
	XORLW      88
	BTFSC      STATUS+0, 2
	GOTO       L_main53
L_main42:
;main.c,154 :: 		if(aux==0)cont1=10*cont1+i;
	MOVF       _aux+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main54
	MOVLW      10
	MOVWF      R0+0
	MOVLW      0
	MOVWF      R0+1
	MOVF       _cont1+0, 0
	MOVWF      R4+0
	MOVF       _cont1+1, 0
	MOVWF      R4+1
	CALL       _Mul_16X16_U+0
	MOVF       _i+0, 0
	ADDWF      R0+0, 0
	MOVWF      _cont1+0
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      _cont1+1
	MOVLW      0
	BTFSC      _i+0, 7
	MOVLW      255
	ADDWF      _cont1+1, 1
L_main54:
;main.c,155 :: 		if(cont1>9999) cont1=cont1/10, aux++;
	MOVF       _cont1+1, 0
	SUBLW      39
	BTFSS      STATUS+0, 2
	GOTO       L__main71
	MOVF       _cont1+0, 0
	SUBLW      15
L__main71:
	BTFSC      STATUS+0, 0
	GOTO       L_main55
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _cont1+0, 0
	MOVWF      R0+0
	MOVF       _cont1+1, 0
	MOVWF      R0+1
	CALL       _Div_16X16_U+0
	MOVF       R0+0, 0
	MOVWF      _cont1+0
	MOVF       R0+1, 0
	MOVWF      _cont1+1
	INCF       _aux+0, 1
L_main55:
;main.c,156 :: 		if(aux==1)cont2=10*cont2+i;
	MOVF       _aux+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_main56
	MOVLW      10
	MOVWF      R0+0
	MOVLW      0
	MOVWF      R0+1
	MOVF       _cont2+0, 0
	MOVWF      R4+0
	MOVF       _cont2+1, 0
	MOVWF      R4+1
	CALL       _Mul_16X16_U+0
	MOVF       _i+0, 0
	ADDWF      R0+0, 0
	MOVWF      _cont2+0
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      _cont2+1
	MOVLW      0
	BTFSC      _i+0, 7
	MOVLW      255
	ADDWF      _cont2+1, 1
L_main56:
;main.c,157 :: 		if(cont2>9999) cont2=cont2/10, PASSWORD();
	MOVF       _cont2+1, 0
	SUBLW      39
	BTFSS      STATUS+0, 2
	GOTO       L__main72
	MOVF       _cont2+0, 0
	SUBLW      15
L__main72:
	BTFSC      STATUS+0, 0
	GOTO       L_main57
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _cont2+0, 0
	MOVWF      R0+0
	MOVF       _cont2+1, 0
	MOVWF      R0+1
	CALL       _Div_16X16_U+0
	MOVF       R0+0, 0
	MOVWF      _cont2+0
	MOVF       R0+1, 0
	MOVWF      _cont2+1
	CALL       _PASSWORD+0
L_main57:
;main.c,159 :: 		}
L_main40:
;main.c,160 :: 		}
	GOTO       L_main38
;main.c,161 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
